Subject: bug#49630: 28.0.50; C-h o buffer layout

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Jul 2021 18:30:30 +0300

>> I did C-h o dired-hide-details-mode to see what it would look like.
>> It gave me a white bar across the screen which looked like a mode line
>> except that it did not contain any text.  Eventually I figured out
>> this line was part of the buffer and was white because of its faces,
>> but I think that is a confusing thing to do.
>
> It's supposed to be a separator line, and displays as a thin line with
> inverted colors on GUI frames.  But TTY frames cannot display such
> thin lines.  Perhaps we should replace it with a line of dashes on TTY
> frames, for better UX.  Patches welcome.

Maybe use ^L as a separator, then display it as a line of dashes:

  (aset (or buffer-display-table
            (setq buffer-display-table (make-display-table)))
        ?\^L (vconcat (make-vector 64 ?-)))